Package com.smartgwt.client.widgets.ace

# Class AceDocument

java.lang.Object
com.smartgwt.client.core.BaseClass
com.smartgwt.client.widgets.ace.AceDocument

All Implemented Interfaces:
  `HasHandlers`

public class AceDocument extends BaseClass
Internal use only.

- ## Field Summary

  ### Fields inherited from class com.smartgwt.client.core.BaseClass

  `config, configOnly, factoryCreated, factoryProperties, id, scClassName`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AceDocument()`
  `AceDocument(JavaScriptObject jsObj)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `JavaScriptObject`
  `create()`
  `AceAnchor`
  `createAnchor(Integer row, Integer column)`
  Internal use only.
  `JavaScriptObject`
  `getJsObj()`
  `Integer`
  `getLength()`
  Internal use only.
  `JavaScriptObject`
  `getOrCreateJsObj()`
  `static AceDocument`
  `getOrCreateRef(JavaScriptObject jsObj)`
  `String`
  `getTextRange(AceRange range)`
  Internal use only.
  `String`
  `getValue()`
  Internal use only.
  `boolean`
  `isCreated()`
  `void`
  `setJavaScriptObject(JavaScriptObject jsObj)`
  `AceDocument`
  `setValue(String value)`
  Internal use only.

  ### Methods inherited from class com.smartgwt.client.core.BaseClass

  `addDynamicProperty, addDynamicProperty, addDynamicProperty, addDynamicProperty, applyFactoryProperties, asSGWTComponent, clearDynamicProperty, createJsObj, destroy, doAddHandler, doInit, error, error, errorIfNotCreated, fireEvent, getAttribute, getAttributeAsBoolean, getAttributeAsDate, getAttributeAsDouble, getAttributeAsElement, getAttributeAsFloat, getAttributeAsInt, getAttributeAsJavaScriptObject, getAttributeAsMap, getAttributeAsString, getAttributeAsStringArray, getClassName, getConfig, getHandlerCount, getID, getRef, getRuleScope, getScClassName, getTestInstance, hasAutoAssignedID, hasDynamicProperty, internalSetID, internalSetID, isConfigOnly, isFactoryCreated, onBind, onInit, registerID, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAutoID, setConfig, setConfigOnly, setFactoryCreated, setID, setProperty, setProperty, setProperty, setProperty, setRuleScope, setScClassName`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AceDocument

    public AceDocument()

  - ### AceDocument

    public AceDocument(JavaScriptObject jsObj)

- ## Method Details

  - ### getOrCreateRef

    public static AceDocument getOrCreateRef(JavaScriptObject jsObj)

  - ### setJavaScriptObject

    public void setJavaScriptObject(JavaScriptObject jsObj)
    Overrides:
      `setJavaScriptObject` in class `BaseClass`

  - ### create

    public JavaScriptObject create()
    Specified by:
      `create` in class `BaseClass`

  - ### isCreated

    public boolean isCreated()
    Overrides:
      `isCreated` in class `BaseClass`

  - ### getJsObj

    public JavaScriptObject getJsObj()
    Overrides:
      `getJsObj` in class `BaseClass`

  - ### getOrCreateJsObj

    public JavaScriptObject getOrCreateJsObj()
    Overrides:
      `getOrCreateJsObj` in class `BaseClass`

  - ### setValue

    public AceDocument setValue(String value)
    Internal use only.

  - ### getValue

    public String getValue()
    Internal use only.

  - ### createAnchor

    public AceAnchor createAnchor(Integer row, Integer column)
    Internal use only.

  - ### getLength

    public Integer getLength()
    Internal use only.

  - ### getTextRange

    public String getTextRange(AceRange range)
    Internal use only.